Skip to content

Operations in the Files group.

Base URLhttps://api.damedoklad.cz/v1AuthenticationErrors and limitsConventions

Get the details of a stored file: type, size, and content hash

GET/v1/files/{id}

Get the details of a stored file: type, size, and content hash

MCP tool: get-file

Path parameters

idstringrequired

Response · 200

idstringrequired
pathstringrequired
contentHashstringrequired
contentTypestringrequired
byteSizeintegerrequired
GET/v1/files/{id}
curl https://api.damedoklad.cz/v1/files/fil_2n9F4kT7wQ1xYz0aBcDeFgHiJkL \
  -H "Authorization: Bearer $DAMEDOKLAD_API_KEY"